<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:ignore="MissingDefaultResource">

    <include layout="@layout/title_white_bar"
        android:id="@+id/title"/>

    <com.ruffian.library.widget.RRelativeLayout
        android:id="@+id/rx_search"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_36"
        android:layout_marginLeft="@dimen/dp_16"
        android:layout_marginRight="@dimen/dp_16"
        android:layout_marginTop="@dimen/dp_12"
        app:corner_radius="@dimen/dp_18"
        android:layout_below="@+id/title"
        android:focusableInTouchMode="true"
        android:focusable="true"
        app:background_normal="@color/white">

        <ImageView
            android:id="@+id/img_search"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@mipmap/ic_search"
            android:layout_centerVertical="true"
            android:layout_marginLeft="@dimen/dp_21"/>

        <EditText
            android:id="@+id/et_search"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="搜索报告记录"
            android:background="@null"
            android:singleLine="true"
            android:inputType="text"
            android:imeOptions="actionSearch"
            android:layout_toRightOf="@+id/img_search"
            android:layout_centerVertical="true"
            android:textColor="@color/col_c7c"
            android:textSize="@dimen/sp_13"
            android:layout_marginLeft="@dimen/dp_7"/>

    </com.ruffian.library.widget.RRelativeLayout>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/mRefresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/rx_search"
        android:background="@color/col_f4f">

        <com.scwang.smart.refresh.header.ClassicsHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="12dp"
            android:layout_marginLeft="@dimen/dp_14"
            android:layout_marginRight="@dimen/dp_14"/>

        <com.scwang.smart.refresh.footer.ClassicsFooter
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>
    
    
    <TextView
        android:id="@+id/tv_upload_report"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_margin="@dimen/dp_25"
        android:background="@drawable/shape_r25_02c"
        android:text="上传报告"
        android:textSize="@dimen/sp_18"
        android:textColor="@color/white"
        android:textStyle="bold"
        android:gravity="center"
        android:layout_alignParentBottom="true"/>

</RelativeLayout>